cURL
curl --request POST \ --url https://sandbox.hurdlr.com/rest/v5/templates/revenue/rules \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: */*' \ --data ' { "rules": [ { "autoClassify": "OFF", "businessName": "<string>", "status": "ACTIVE", "matchType": "EXACT_NAME", "id": 123, "revenueAccountName": "<string>" } ], "applyToExistingUsers": true } '
[ { "result": "SUCCESS", "errors": { "fieldErrors": {}, "globalErrors": [ { "type": "DUPLICATE", "errorMessage": "<string>" } ] }, "id": "<string>", "webhook": { "userId": "<string>", "accountantUserId": "<string>", "type": "ENTITY_UPDATE" } } ]
Save a new (or update an existing) set of revenue rule templates
The access token received from the authorization server in the OAuth 2.0 flow.
Show child attributes
Whether to apply rules to existing users
Successful operation
The result of the action performed
SUCCESS
FAILURE
Error object containing details errors incurred, if any
Id of the entity being acted upon